import os
import sys

try:
    from itsdangerous import simplejson as json
except ImportError:
    from itsdangerous import json as json


def url_for_asset(package, asset, package_dir='static'):
    """ Jinja function to be used to load a custom Rho AI asset listed in
        assets.json.

    Args:
        asset: The file name generated by webpack and stored in assets.json.
    """

    if package not in sys.modules:
        raise ValueError("package %s not found in sys.modules" % package)
    m = sys.modules[package]
    assets_path = os.path.join(m.__path__[0], package_dir, 'assets.json')

    with open(assets_path) as fh:
        assets = json.loads(fh.read())

    return assets.get(asset)
